#include <exec/types.h>
#include <intuition/intuition.h>
#include <string.h>
#include "menuselect.h"

struct TextAttr TOPAZ80 = {
   (STRPTR)"topaz.font",
   TOPAZ_EIGHTY,0,0
};
struct NewScreen NewScreenStructure = {
   0,0,
   640,200,
   2,
   0,1,
   HIRES,
   CUSTOMSCREEN,
   &TOPAZ80,
   "3DPlot v2.0  1990 Randy Finch  (All Rights Reserved)",
   NULL,
   NULL
};

#define NEWSCREENSTRUCTURE NewScreenStructure

USHORT Palette[] = {
   0x0889,
   0x0000,
   0x0058,
   0x0FFF
#define PaletteColorCount 4
};

#define PALETTE Palette

UBYTE UNDOBUFFER[256];

SHORT BorderVectors1[] = {
   0,0,
   83,0,
   83,10,
   0,10,
   0,0
};
struct Border Border1 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors1,
   NULL
};

struct IntuiText IText2 = {
   1,0,JAM2,
   23,0,
   &TOPAZ80,
   "None",
   NULL
};

struct IntuiText IText1 = {
   3,0,JAM2,
   3,-9,
   &TOPAZ80,
   "AXES TYPE",
   &IText2
};

struct Gadget AxesType = {
   NULL,
   362,138,
   82,9,
   NULL,
   GADGIMMEDIATE,
   BOOLGADGET,
   (APTR)&Border1,
   NULL,
   &IText1,
   NULL,
   NULL,
   AXESTYPE,
   NULL
};

SHORT BorderVectors2[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border2 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors2,
   NULL
};

struct IntuiText IText4 = {
   1,0,JAM2,
   4,0,
   &TOPAZ80,
   "X and Y",
   NULL
};

struct IntuiText IText3 = {
   3,0,JAM2,
   5,-9,
   &TOPAZ80,
   "SURFACE",
   &IText4
};

struct Gadget Surface = {
   &AxesType,
   17,172,
   66,9,
   NULL,
   GADGIMMEDIATE,
   BOOLGADGET,
   (APTR)&Border2,
   NULL,
   &IText3,
   NULL,
   NULL,
   SURFACE,
   NULL
};

SHORT BorderVectors3[] = {
   0,0,
   10,0,
   10,34,
   0,34,
   0,0
};
struct Border Border3 = {
   -1,-1,
   0,0,JAM1,
   5,
   BorderVectors3,
   NULL
};

struct Gadget SwapXYZ = {
   &Surface,
   12,92,
   9,33,
   NULL,
   GADGIMMEDIATE,
   BOOLGADGET,
   (APTR)&Border3,
   NULL,
   NULL,
   NULL,
   NULL,
   SWAPXYZ,
   NULL
};

UBYTE SettingsNoteSIBuff[256];
struct StringInfo SettingsNoteSInfo = {
   SettingsNoteSIBuff,
   UNDOBUFFER,
   0,
   256,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors4[] = {
   0,0,
   571,0,
   571,10,
   0,10,
   0,0
};
struct Border Border4 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors4,
   NULL
};

struct IntuiText IText5 = {
   3,0,JAM2,
   -42,0,
   &TOPAZ80,
   "NOTE",
   NULL
};

struct Gadget SettingsNote = {
   &SwapXYZ,
   55,187,
   570,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE,
   STRGADGET,
   (APTR)&Border4,
   NULL,
   &IText5,
   NULL,
   (APTR)&SettingsNoteSInfo,
   SETTINGSNOTE,
   NULL
};

UBYTE AxesPrecisionSIBuff[11] =
   "0.1";
struct StringInfo AxesPrecisionSInfo = {
   AxesPrecisionSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors5[] = {
   0,0,
   83,0,
   83,10,
   0,10,
   0,0
};
struct Border Border5 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors5,
   NULL
};

struct IntuiText IText6 = {
   3,0,JAM2,
   -16,-9,
   &TOPAZ80,
   "AXES PRECISION",
   NULL
};

struct Gadget AxesPrecision = {
   &SettingsNote,
   482,138,
   82,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border5,
   NULL,
   &IText6,
   NULL,
   (APTR)&AxesPrecisionSInfo,
   AXESPRECISION,
   NULL
};

UBYTE AxesSpanZmaxSIBuff[11] =
   "1";
struct StringInfo AxesSpanZmaxSInfo = {
   AxesSpanZmaxSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors6[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border6 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors6,
   NULL
};

struct IntuiText IText7 = {
   1,0,JAM2,
   -46,0,
   &TOPAZ80,
   "Z max",
   NULL
};

struct Gadget AxesSpanZmax = {
   &AxesPrecision,
   516,116,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border6,
   NULL,
   &IText7,
   NULL,
   (APTR)&AxesSpanZmaxSInfo,
   AXESSPANZMAX,
   NULL
};

UBYTE AxesSpanZminSIBuff[11] =
   "-1";
struct StringInfo AxesSpanZminSInfo = {
   AxesSpanZminSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors7[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border7 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors7,
   NULL
};

struct IntuiText IText8 = {
   1,0,JAM2,
   -46,0,
   &TOPAZ80,
   "Z min",
   NULL
};

struct Gadget AxesSpanZmin = {
   &AxesSpanZmax,
   398,116,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border7,
   NULL,
   &IText8,
   NULL,
   (APTR)&AxesSpanZminSInfo,
   AXESSPANZMIN,
   NULL
};

UBYTE AxesSpanYmaxSIBuff[11] =
   "3";
struct StringInfo AxesSpanYmaxSInfo = {
   AxesSpanYmaxSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors8[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border8 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors8,
   NULL
};

struct IntuiText IText9 = {
   1,0,JAM2,
   -46,0,
   &TOPAZ80,
   "Y max",
   NULL
};

struct Gadget AxesSpanYmax = {
   &AxesSpanZmin,
   516,104,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border8,
   NULL,
   &IText9,
   NULL,
   (APTR)&AxesSpanYmaxSInfo,
   AXESSPANYMAX,
   NULL
};

UBYTE AxesSpanYminSIBuff[11] =
   "-3";
struct StringInfo AxesSpanYminSInfo = {
   AxesSpanYminSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors9[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border9 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors9,
   NULL
};

struct IntuiText IText10 = {
   1,0,JAM2,
   -46,0,
   &TOPAZ80,
   "Y min",
   NULL
};

struct Gadget AxesSpanYmin = {
   &AxesSpanYmax,
   398,104,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border9,
   NULL,
   &IText10,
   NULL,
   (APTR)&AxesSpanYminSInfo,
   AXESSPANYMIN,
   NULL
};

UBYTE AxesSpanXmaxSIBuff[11] =
   "3";
struct StringInfo AxesSpanXmaxSInfo = {
   AxesSpanXmaxSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors10[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border10 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors10,
   NULL
};

struct IntuiText IText11 = {
   1,0,JAM2,
   -46,0,
   &TOPAZ80,
   "X max",
   NULL
};

struct Gadget AxesSpanXmax = {
   &AxesSpanYmin,
   516,92,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border10,
   NULL,
   &IText11,
   NULL,
   (APTR)&AxesSpanXmaxSInfo,
   AXESSPANXMAX,
   NULL
};

UBYTE AxesSpanXminSIBuff[11] =
   "-3";
struct StringInfo AxesSpanXminSInfo = {
   AxesSpanXminSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors11[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border11 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors11,
   NULL
};

struct IntuiText IText13 = {
   1,0,JAM2,
   -46,0,
   &TOPAZ80,
   "X min",
   NULL
};

struct IntuiText IText12 = {
   3,0,JAM2,
   37,-9,
   &TOPAZ80,
   "AXES SPAN",
   &IText13
};

struct Gadget AxesSpanXmin = {
   &AxesSpanXmax,
   398,92,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border11,
   NULL,
   &IText12,
   NULL,
   (APTR)&AxesSpanXminSInfo,
   AXESSPANXMIN,
   NULL
};

UBYTE PlotPrecisionYSIBuff[11] =
   "0.1";
struct StringInfo PlotPrecisionYSInfo = {
   PlotPrecisionYSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors12[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border12 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors12,
   NULL
};

struct IntuiText IText14 = {
   1,0,JAM2,
   -16,0,
   &TOPAZ80,
   "Y",
   NULL
};

struct Gadget PlotPrecisionY = {
   &AxesSpanXmin,
   264,162,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border12,
   NULL,
   &IText14,
   NULL,
   (APTR)&PlotPrecisionYSInfo,
   PLOTPRECISIONY,
   NULL
};

UBYTE PlotPrecisionXSIBuff[11] =
   "0.1";
struct StringInfo PlotPrecisionXSInfo = {
   PlotPrecisionXSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors13[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border13 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors13,
   NULL
};

struct IntuiText IText16 = {
   1,0,JAM2,
   -16,0,
   &TOPAZ80,
   "X",
   NULL
};

struct IntuiText IText15 = {
   3,0,JAM2,
   -31,-9,
   &TOPAZ80,
   "PLOT PRECISION",
   &IText16
};

struct Gadget PlotPrecisionX = {
   &PlotPrecisionY,
   264,150,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border13,
   NULL,
   &IText15,
   NULL,
   (APTR)&PlotPrecisionXSInfo,
   PLOTPRECISIONX,
   NULL
};

UBYTE PlotSpanYmaxSIBuff[11] =
   "3";
struct StringInfo PlotSpanYmaxSInfo = {
   PlotSpanYmaxSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors14[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border14 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors14,
   NULL
};

struct IntuiText IText17 = {
   1,0,JAM2,
   -46,0,
   &TOPAZ80,
   "Y max",
   NULL
};

struct Gadget PlotSpanYmax = {
   &PlotPrecisionX,
   280,128,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border14,
   NULL,
   &IText17,
   NULL,
   (APTR)&PlotSpanYmaxSInfo,
   PLOTSPANYMAX,
   NULL
};

UBYTE PlotSpanYminSIBuff[11] =
   "-3";
struct StringInfo PlotSpanYminSInfo = {
   PlotSpanYminSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors15[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border15 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors15,
   NULL
};

struct IntuiText IText18 = {
   1,0,JAM2,
   -46,0,
   &TOPAZ80,
   "Y min",
   NULL
};

struct Gadget PlotSpanYmin = {
   &PlotSpanYmax,
   280,116,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border15,
   NULL,
   &IText18,
   NULL,
   (APTR)&PlotSpanYminSInfo,
   PLOTSPANYMIN,
   NULL
};

UBYTE PlotSpanXmaxSIBuff[11] =
   "3";
struct StringInfo PlotSpanXmaxSInfo = {
   PlotSpanXmaxSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors16[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border16 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors16,
   NULL
};

struct IntuiText IText19 = {
   1,0,JAM2,
   -46,0,
   &TOPAZ80,
   "X max",
   NULL
};

struct Gadget PlotSpanXmax = {
   &PlotSpanYmin,
   280,104,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border16,
   NULL,
   &IText19,
   NULL,
   (APTR)&PlotSpanXmaxSInfo,
   PLOTSPANXMAX,
   NULL
};

UBYTE PlotSpanXminSIBuff[11] =
   "-3";
struct StringInfo PlotSpanXminSInfo = {
   PlotSpanXminSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors17[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border17 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors17,
   NULL
};

struct IntuiText IText21 = {
   1,0,JAM2,
   -46,0,
   &TOPAZ80,
   "X min",
   NULL
};

struct IntuiText IText20 = {
   3,0,JAM2,
   -25,-9,
   &TOPAZ80,
   "PLOT SPAN",
   &IText21
};

struct Gadget PlotSpanXmin = {
   &PlotSpanXmax,
   280,92,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border17,
   NULL,
   &IText20,
   NULL,
   (APTR)&PlotSpanXminSInfo,
   PLOTSPANXMIN,
   NULL
};

UBYTE LineSpacingYSIBuff[11] =
   "0.25";
struct StringInfo LineSpacingYSInfo = {
   LineSpacingYSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors18[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border18 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors18,
   NULL
};

struct IntuiText IText22 = {
   1,0,JAM2,
   -16,0,
   &TOPAZ80,
   "Y",
   NULL
};

struct Gadget LineSpacingY = {
   &PlotSpanXmin,
   137,150,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border18,
   NULL,
   &IText22,
   NULL,
   (APTR)&LineSpacingYSInfo,
   LINESPACINGY,
   NULL
};

UBYTE LineSpacingXSIBuff[11] =
   "0.25";
struct StringInfo LineSpacingXSInfo = {
   LineSpacingXSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors19[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border19 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors19,
   NULL
};

struct IntuiText IText24 = {
   1,0,JAM2,
   -16,0,
   &TOPAZ80,
   "X",
   NULL
};

struct IntuiText IText23 = {
   3,0,JAM2,
   -23,-9,
   &TOPAZ80,
   "LINE SPACING",
   &IText24
};

struct Gadget LineSpacingX = {
   &LineSpacingY,
   137,138,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border19,
   NULL,
   &IText23,
   NULL,
   (APTR)&LineSpacingXSInfo,
   LINESPACINGX,
   NULL
};

UBYTE SizingScaleSIBuff[11] =
   "30";
struct StringInfo SizingScaleSInfo = {
   SizingScaleSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors20[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border20 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors20,
   NULL
};

struct IntuiText IText25 = {
   1,0,JAM2,
   -46,0,
   &TOPAZ80,
   "Scale",
   NULL
};

struct Gadget SizingScale = {
   &LineSpacingX,
   162,116,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border20,
   NULL,
   &IText25,
   NULL,
   (APTR)&SizingScaleSInfo,
   SIZINGSCALE,
   NULL
};

UBYTE SizingViewDistSIBuff[11] =
   "20";
struct StringInfo SizingViewDistSInfo = {
   SizingViewDistSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors21[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border21 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors21,
   NULL
};

struct IntuiText IText26 = {
   1,0,JAM2,
   -78,0,
   &TOPAZ80,
   "View Dist",
   NULL
};

struct Gadget SizingViewDist = {
   &SizingScale,
   162,104,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border21,
   NULL,
   &IText26,
   NULL,
   (APTR)&SizingViewDistSInfo,
   SIZINGVIEWDIST,
   NULL
};

UBYTE SizingProjPlaneSIBuff[11] =
   "0";
struct StringInfo SizingProjPlaneSInfo = {
   SizingProjPlaneSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors22[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border22 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors22,
   NULL
};

struct IntuiText IText28 = {
   1,0,JAM2,
   -85,0,
   &TOPAZ80,
   "Proj Plane",
   NULL
};

struct IntuiText IText27 = {
   3,0,JAM2,
   -35,-9,
   &TOPAZ80,
   "SIZING",
   &IText28
};

struct Gadget SizingProjPlane = {
   &SizingViewDist,
   162,92,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER,
   STRGADGET,
   (APTR)&Border22,
   NULL,
   &IText27,
   NULL,
   (APTR)&SizingProjPlaneSInfo,
   SIZINGPROJPLANE,
   NULL
};

UBYTE OriginYSIBuff[11] =
   "100";
struct StringInfo OriginYSInfo = {
   OriginYSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors23[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border23 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors23,
   NULL
};

struct IntuiText IText29 = {
   1,0,JAM2,
   -16,0,
   &TOPAZ80,
   "Y",
   NULL
};

struct Gadget OriginY = {
   &SizingProjPlane,
   24,150,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER+LONGINT,
   STRGADGET,
   (APTR)&Border23,
   NULL,
   &IText29,
   NULL,
   (APTR)&OriginYSInfo,
   ORIGINY,
   NULL
};

UBYTE OriginXSIBuff[11] =
   "160";
struct StringInfo OriginXSInfo = {
   OriginXSIBuff,
   UNDOBUFFER,
   0,
   11,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors24[] = {
   0,0,
   67,0,
   67,10,
   0,10,
   0,0
};
struct Border Border24 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors24,
   NULL
};

struct IntuiText IText31 = {
   1,0,JAM2,
   -16,0,
   &TOPAZ80,
   "X",
   NULL
};

struct IntuiText IText30 = {
   3,0,JAM2,
   1,-9,
   &TOPAZ80,
   "ORIGIN",
   &IText31
};

struct Gadget OriginX = {
   &OriginY,
   24,138,
   66,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER+LONGINT,
   STRGADGET,
   (APTR)&Border24,
   NULL,
   &IText30,
   NULL,
   (APTR)&OriginXSInfo,
   ORIGINX,
   NULL
};

UBYTE RotationXSIBuff[5] =
   "45";
struct StringInfo RotationXSInfo = {
   RotationXSIBuff,
   UNDOBUFFER,
   0,
   5,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors25[] = {
   0,0,
   35,0,
   35,10,
   0,10,
   0,0
};
struct Border Border25 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors25,
   NULL
};

struct IntuiText IText32 = {
   1,0,JAM2,
   -16,0,
   &TOPAZ80,
   "X",
   NULL
};

struct Gadget RotationX = {
   &OriginX,
   27,116,
   34,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER+LONGINT,
   STRGADGET,
   (APTR)&Border25,
   NULL,
   &IText32,
   NULL,
   (APTR)&RotationXSInfo,
   ROTATIONX,
   NULL
};

UBYTE RotationYSIBuff[5] =
   "-60";
struct StringInfo RotationYSInfo = {
   RotationYSIBuff,
   UNDOBUFFER,
   0,
   5,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors26[] = {
   0,0,
   35,0,
   35,10,
   0,10,
   0,0
};
struct Border Border26 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors26,
   NULL
};

struct IntuiText IText33 = {
   1,0,JAM2,
   -16,0,
   &TOPAZ80,
   "Y",
   NULL
};

struct Gadget RotationY = {
   &RotationX,
   27,104,
   34,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER+LONGINT,
   STRGADGET,
   (APTR)&Border26,
   NULL,
   &IText33,
   NULL,
   (APTR)&RotationYSInfo,
   ROTATIONY,
   NULL
};

UBYTE RotationZSIBuff[5] =
   "-135";
struct StringInfo RotationZSInfo = {
   RotationZSIBuff,
   UNDOBUFFER,
   0,
   5,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors27[] = {
   0,0,
   35,0,
   35,10,
   0,10,
   0,0
};
struct Border Border27 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors27,
   NULL
};

struct IntuiText IText34 = {
   1,0,JAM2,
   -16,0,
   &TOPAZ80,
   "Z",
   NULL
};

struct Gadget RotationZ = {
   &RotationY,
   27,92,
   34,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE+STRINGCENTER+LONGINT,
   STRGADGET,
   (APTR)&Border27,
   NULL,
   &IText34,
   NULL,
   (APTR)&RotationZSInfo,
   ROTATIONZ,
   NULL
};

UBYTE EquationDSIBuff[256];
struct StringInfo EquationDSInfo = {
   EquationDSIBuff,
   UNDOBUFFER,
   0,
   256,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors28[] = {
   0,0,
   603,0,
   603,10,
   0,10,
   0,0
};
struct Border Border28 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors28,
   NULL
};

struct IntuiText IText35 = {
   1,0,JAM2,
   -22,0,
   &TOPAZ80,
   "D=",
   NULL
};

struct Gadget EquationD = {
   &RotationZ,
   29,70,
   602,9,
   GADGDISABLED,
   RELVERIFY+GADGIMMEDIATE,
   STRGADGET,
   (APTR)&Border28,
   NULL,
   &IText35,
   NULL,
   (APTR)&EquationDSInfo,
   EQUATIOND,
   NULL
};

UBYTE EquationCSIBuff[256];
struct StringInfo EquationCSInfo = {
   EquationCSIBuff,
   UNDOBUFFER,
   0,
   256,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors29[] = {
   0,0,
   603,0,
   603,10,
   0,10,
   0,0
};
struct Border Border29 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors29,
   NULL
};

struct IntuiText IText36 = {
   1,0,JAM2,
   -22,0,
   &TOPAZ80,
   "C=",
   NULL
};

struct Gadget EquationC = {
   &EquationD,
   29,58,
   602,9,
   GADGDISABLED,
   RELVERIFY+GADGIMMEDIATE,
   STRGADGET,
   (APTR)&Border29,
   NULL,
   &IText36,
   NULL,
   (APTR)&EquationCSInfo,
   EQUATIONC,
   NULL
};

UBYTE EquationBSIBuff[256];
struct StringInfo EquationBSInfo = {
   EquationBSIBuff,
   UNDOBUFFER,
   0,
   256,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors30[] = {
   0,0,
   603,0,
   603,10,
   0,10,
   0,0
};
struct Border Border30 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors30,
   NULL
};

struct IntuiText IText37 = {
   1,0,JAM2,
   -22,0,
   &TOPAZ80,
   "B=",
   NULL
};

struct Gadget EquationB = {
   &EquationC,
   29,46,
   602,9,
   GADGDISABLED,
   RELVERIFY+GADGIMMEDIATE,
   STRGADGET,
   (APTR)&Border30,
   NULL,
   &IText37,
   NULL,
   (APTR)&EquationBSInfo,
   EQUATIONB,
   NULL
};

UBYTE EquationASIBuff[256];
struct StringInfo EquationASInfo = {
   EquationASIBuff,
   UNDOBUFFER,
   0,
   256,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors31[] = {
   0,0,
   603,0,
   603,10,
   0,10,
   0,0
};
struct Border Border31 = {
   -1,-1,
   2,0,JAM1,
   5,
   BorderVectors31,
   NULL
};

struct IntuiText IText38 = {
   1,0,JAM2,
   -22,0,
   &TOPAZ80,
   "A=",
   NULL
};

struct Gadget EquationA = {
   &EquationB,
   29,34,
   602,9,
   GADGDISABLED,
   RELVERIFY+GADGIMMEDIATE,
   STRGADGET,
   (APTR)&Border31,
   NULL,
   &IText38,
   NULL,
   (APTR)&EquationASInfo,
   EQUATIONA,
   NULL
};

UBYTE EquationZSIBuff[256] =
   "SIN(X*Y)";
struct StringInfo EquationZSInfo = {
   EquationZSIBuff,
   UNDOBUFFER,
   0,
   256,
   0,
   0,0,0,0,0,
   0,
   0,
   NULL
};

SHORT BorderVectors32[] = {
   0,0,
   603,0,
   603,10,
   0,10,
   0,0
};
struct Border Border32 = {
   -1,-1,
   2,2,JAM1,
   5,
   BorderVectors32,
   NULL
};

struct IntuiText IText41 = {
   3,0,JAM2,
   148,-10,
   &TOPAZ80,
   "Error Message: ",
   NULL
};

struct IntuiText IText40 = {
   3,0,JAM2,
   0,-10,
   &TOPAZ80,
   "EQUATIONS",
   &IText41
};

struct IntuiText IText39 = {
   1,0,JAM2,
   -21,0,
   &TOPAZ80,
   "Z=",
   &IText40
};

struct Gadget EquationZ = {
   &EquationA,
   29,22,
   602,9,
   NULL,
   RELVERIFY+GADGIMMEDIATE,
   STRGADGET,
   (APTR)&Border32,
   NULL,
   &IText39,
   NULL,
   (APTR)&EquationZSInfo,
   EQUATIONZ,
   NULL
};

SHORT BorderVectors33[] = {
   0,0,
   333,0,
   333,8,
   0,8,
   0,0
};
struct Border Border33 = {
   -1,-1,
   0,0,JAM1,
   5,
   BorderVectors33,
   NULL
};

struct IntuiText IText42 = {
   1,0,JAM2,
   5,-1,
   &TOPAZ80,
   "Acceptable                              ",
   NULL
};

struct Gadget ErrMessageGadg = {
   &EquationZ,
   299,13,
   332,7,
   GADGHBOX+GADGHIMAGE,
   NULL,
   BOOLGADGET,
   (APTR)&Border33,
   NULL,
   &IText42,
   NULL,
   NULL,
   NULL,
   NULL
};

#define GadgetList1 ErrMessageGadg

SHORT BorderVectors45[] = {
   0,0,
   630,0,
   630,70,
   0,70,
   0,0
};
struct Border Border45 = {
   5,11,
   2,0,JAM1,
   5,
   BorderVectors45,
   NULL
};

SHORT BorderVectors44[] = {
   0,0,
   68,0,
   68,45,
   0,45,
   0,0
};
struct Border Border44 = {
   5,82,
   2,0,JAM1,
   5,
   BorderVectors44,
   &Border45
};

SHORT BorderVectors43[] = {
   0,0,
   629,0,
   629,14,
   0,14,
   0,0
};
struct Border Border43 = {
   5,184,
   2,0,JAM1,
   5,
   BorderVectors43,
   &Border44
};

SHORT BorderVectors42[] = {
   0,0,
   87,0,
   87,21,
   0,21,
   0,0
};
struct Border Border42 = {
   5,162,
   2,0,JAM1,
   5,
   BorderVectors42,
   &Border43
};

SHORT BorderVectors41[] = {
   0,0,
   127,0,
   127,21,
   0,21,
   0,0
};
struct Border Border41 = {
   458,128,
   2,0,JAM1,
   5,
   BorderVectors41,
   &Border42
};

SHORT BorderVectors40[] = {
   0,0,
   108,0,
   108,21,
   0,21,
   0,0
};
struct Border Border40 = {
   349,128,
   2,0,JAM1,
   5,
   BorderVectors40,
   &Border41
};

SHORT BorderVectors39[] = {
   0,0,
   117,0,
   117,33,
   0,33,
   0,0
};
struct Border Border39 = {
   231,140,
   2,0,JAM1,
   5,
   BorderVectors39,
   &Border40
};

SHORT BorderVectors38[] = {
   0,0,
   137,0,
   137,33,
   0,33,
   0,0
};
struct Border Border38 = {
   93,128,
   2,0,JAM1,
   5,
   BorderVectors38,
   &Border39
};

SHORT BorderVectors37[] = {
   0,0,
   87,0,
   87,33,
   0,33,
   0,0
};
struct Border Border37 = {
   5,128,
   2,0,JAM1,
   5,
   BorderVectors37,
   &Border38
};

SHORT BorderVectors36[] = {
   0,0,
   236,0,
   236,45,
   0,45,
   0,0
};
struct Border Border36 = {
   349,82,
   2,0,JAM1,
   5,
   BorderVectors36,
   &Border37
};

SHORT BorderVectors35[] = {
   0,0,
   117,0,
   117,57,
   0,57,
   0,0
};
struct Border Border35 = {
   231,82,
   2,0,JAM1,
   5,
   BorderVectors35,
   &Border36
};

SHORT BorderVectors34[] = {
   0,0,
   156,0,
   156,45,
   0,45,
   0,0
};
struct Border Border34 = {
   74,82,
   2,0,JAM1,
   5,
   BorderVectors34,
   &Border35
};

#define BorderList1 Border34

struct IntuiText IText43 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "Re-load",
   NULL
};

struct MenuItem SubItem2 = {
   NULL,
   97,7,
   88,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText43,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText44 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "Choose",
   NULL
};

struct MenuItem SubItem1 = {
   &SubItem2,
   97,-1,
   88,8,
   ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText44,
   NULL,
   'F',
   NULL,
   MENUNULL
};

struct IntuiText IText45 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   " Fonts",
   NULL
};

struct MenuItem MenuItem4 = {
   NULL,
   -70,24,
   112,8,
   ITEMTEXT+HIGHCOMP,
   0,
   (APTR)&IText45,
   NULL,
   NULL,
   &SubItem1,
   MENUNULL
};

struct IntuiText IText46 = {
   3,1,COMPLEMENT,
   19,0,
   &TOPAZ80,
   "Italics  ",
   NULL
};

struct MenuItem SubItem5 = {
   NULL,
   85,8,
   131,8,
   CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText46,
   NULL,
   'I',
   NULL,
   MENUNULL
};

struct IntuiText IText47 = {
   3,1,COMPLEMENT,
   19,0,
   &TOPAZ80,
   "Underline",
   NULL
};

struct MenuItem SubItem4 = {
   &SubItem5,
   85,0,
   131,8,
   CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText47,
   NULL,
   'U',
   NULL,
   MENUNULL
};

struct IntuiText IText48 = {
   3,1,COMPLEMENT,
   19,0,
   &TOPAZ80,
   "Bold",
   NULL
};

struct MenuItem SubItem3 = {
   &SubItem4,
   85,-8,
   131,8,
   CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText48,
   NULL,
   'B',
   NULL,
   MENUNULL
};

struct IntuiText IText49 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   " Style",
   NULL
};

struct MenuItem MenuItem3 = {
   &MenuItem4,
   -70,16,
   112,8,
   ITEMTEXT+HIGHCOMP,
   0,
   (APTR)&IText49,
   NULL,
   NULL,
   &SubItem3,
   MENUNULL
};

struct IntuiText IText50 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "  Remove",
   NULL
};

struct MenuItem MenuItem2 = {
   &MenuItem3,
   -70,8,
   112,8,
   ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText50,
   NULL,
   'R',
   NULL,
   MENUNULL
};

struct IntuiText IText51 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "  Add",
   NULL
};

struct MenuItem MenuItem1 = {
   &MenuItem2,
   -70,0,
   112,8,
   ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText51,
   NULL,
   'A',
   NULL,
   MENUNULL
};

struct Menu Menu3 = {
   NULL,
   152,0,
   40,0,
   NULL,
   "TEXT",
   &MenuItem1
};

struct IntuiText IText52 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "  Graph",
   NULL
};

struct MenuItem MenuItem8 = {
   NULL,
   0,24,
   136,8,
   ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText52,
   NULL,
   'G',
   NULL,
   MENUNULL
};

struct IntuiText IText53 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "  Settings",
   NULL
};

struct MenuItem MenuItem7 = {
   &MenuItem8,
   0,16,
   136,8,
   ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText53,
   NULL,
   'T',
   NULL,
   MENUNULL
};

struct IntuiText IText54 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "  Stop Plot",
   NULL
};

struct MenuItem MenuItem6 = {
   &MenuItem7,
   0,8,
   136,8,
   ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText54,
   NULL,
   'Z',
   NULL,
   MENUNULL
};

struct IntuiText IText55 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "Contour",
   NULL
};

struct MenuItem SubItem9 = {
   NULL,
   121,23,
   96,8,
   ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText55,
   NULL,
   'C',
   NULL,
   MENUNULL
};

struct IntuiText IText56 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "Solid",
   NULL
};

struct MenuItem SubItem8 = {
   &SubItem9,
   121,15,
   96,8,
   ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText56,
   NULL,
   'D',
   NULL,
   MENUNULL
};

struct IntuiText IText57 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "Hidden",
   NULL
};

struct MenuItem SubItem7 = {
   &SubItem8,
   121,7,
   96,8,
   ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText57,
   NULL,
   'H',
   NULL,
   MENUNULL
};

struct IntuiText IText58 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "Normal",
   NULL
};

struct MenuItem SubItem6 = {
   &SubItem7,
   121,-1,
   96,8,
   ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText58,
   NULL,
   'L',
   NULL,
   MENUNULL
};

struct IntuiText IText59 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   " Plot",
   NULL
};

struct MenuItem MenuItem5 = {
   &MenuItem6,
   0,0,
   136,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText59,
   NULL,
   NULL,
   &SubItem6,
   MENUNULL
};

struct Menu Menu2 = {
   &Menu3,
   72,0,
   72,0,
   MENUENABLED,
   "FUNCTION",
   &MenuItem5
};

struct IntuiText IText60 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "  EXIT! ",
   NULL
};

struct MenuItem MenuItem17 = {
   NULL,
   0,64,
   112,8,
   ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText60,
   NULL,
   'E',
   NULL,
   MENUNULL
};

struct IntuiText IText61 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "  Print",
   NULL
};

struct MenuItem MenuItem16 = {
   &MenuItem17,
   0,56,
   112,8,
   ITEMTEXT+HIGHCOMP,
   0,
   (APTR)&IText61,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText62 = {
   3,1,COMPLEMENT,
   19,0,
   &TOPAZ80,
   "Off",
   NULL
};

struct MenuItem SubItem11 = {
   NULL,
   97,7,
   43,8,
   CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP+CHECKED,
   1,
   (APTR)&IText62,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText63 = {
   3,1,COMPLEMENT,
   19,0,
   &TOPAZ80,
   "On",
   NULL
};

struct MenuItem SubItem10 = {
   &SubItem11,
   97,-1,
   43,8,
   CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP,
   2,
   (APTR)&IText63,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText64 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   " Title",
   NULL
};

struct MenuItem MenuItem15 = {
   &MenuItem16,
   0,48,
   112,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText64,
   NULL,
   NULL,
   &SubItem10,
   MENUNULL
};

struct IntuiText IText65 = {
   3,1,COMPLEMENT,
   19,0,
   &TOPAZ80,
   "Severe Overscan",
   NULL
};

struct MenuItem SubItem20 = {
   NULL,
   97,63,
   139,8,
   CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP,
   192,
   (APTR)&IText65,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText66 = {
   3,1,COMPLEMENT,
   19,0,
   &TOPAZ80,
   "Medium Overscan",
   NULL
};

struct MenuItem SubItem19 = {
   &SubItem20,
   97,55,
   139,8,
   CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP,
   320,
   (APTR)&IText66,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText67 = {
   3,1,COMPLEMENT,
   19,0,
   &TOPAZ80,
   "Normal",
   NULL
};

struct MenuItem SubItem18 = {
   &SubItem19,
   97,47,
   139,8,
   CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP+CHECKED,
   384,
   (APTR)&IText67,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText68 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "-----------------",
   NULL
};

struct MenuItem SubItem17 = {
   &SubItem18,
   97,39,
   139,8,
   ITEMTEXT+HIGHCOMP,
   0,
   (APTR)&IText68,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText69 = {
   3,1,COMPLEMENT,
   19,0,
   &TOPAZ80,
   "Non-interlace",
   NULL
};

struct MenuItem SubItem16 = {
   &SubItem17,
   97,31,
   139,8,
   CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP+CHECKED,
   8,
   (APTR)&IText69,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText70 = {
   3,1,COMPLEMENT,
   19,0,
   &TOPAZ80,
   "Interlace",
   NULL
};

struct MenuItem SubItem15 = {
   &SubItem16,
   97,23,
   139,8,
   CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP,
   16,
   (APTR)&IText70,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText71 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "-----------------",
   NULL
};

struct MenuItem SubItem14 = {
   &SubItem15,
   97,15,
   139,8,
   ITEMTEXT+HIGHCOMP,
   0,
   (APTR)&IText71,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText72 = {
   3,1,COMPLEMENT,
   19,0,
   &TOPAZ80,
   "High Res",
   NULL
};

struct MenuItem SubItem13 = {
   &SubItem14,
   97,7,
   139,8,
   CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP,
   1,
   (APTR)&IText72,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText73 = {
   3,1,COMPLEMENT,
   19,0,
   &TOPAZ80,
   "Low Res",
   NULL
};

struct MenuItem SubItem12 = {
   &SubItem13,
   97,-1,
   139,8,
   CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP+CHECKED,
   2,
   (APTR)&IText73,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText74 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   " Screen",
   NULL
};

struct MenuItem MenuItem14 = {
   &MenuItem15,
   0,40,
   112,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText74,
   NULL,
   NULL,
   &SubItem12,
   MENUNULL
};

struct IntuiText IText75 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "Save",
   NULL
};

struct MenuItem SubItem24 = {
   NULL,
   97,23,
   96,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText75,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText76 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "Load",
   NULL
};

struct MenuItem SubItem23 = {
   &SubItem24,
   97,15,
   96,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText76,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText77 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "------------",
   NULL
};

struct MenuItem SubItem22 = {
   &SubItem23,
   97,7,
   96,8,
   ITEMTEXT+HIGHCOMP,
   0,
   (APTR)&IText77,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText78 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "Adjust ",
   NULL
};

struct MenuItem SubItem21 = {
   &SubItem22,
   97,-1,
   96,8,
   ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText78,
   NULL,
   'J',
   NULL,
   MENUNULL
};

struct IntuiText IText79 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   " Color",
   NULL
};

struct MenuItem MenuItem13 = {
   &MenuItem14,
   0,32,
   112,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText79,
   NULL,
   NULL,
   &SubItem21,
   MENUNULL
};

struct IntuiText IText80 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "Picture",
   NULL
};

struct MenuItem SubItem27 = {
   NULL,
   97,15,
   64,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText80,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText81 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "Settings",
   NULL
};

struct MenuItem SubItem26 = {
   &SubItem27,
   97,7,
   64,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText81,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText82 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "All",
   NULL
};

struct MenuItem SubItem25 = {
   &SubItem26,
   97,-1,
   64,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText82,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText83 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   " Save As",
   NULL
};

struct MenuItem MenuItem12 = {
   &MenuItem13,
   0,24,
   112,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText83,
   NULL,
   NULL,
   &SubItem25,
   MENUNULL
};

struct IntuiText IText84 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "Picture",
   NULL
};

struct MenuItem SubItem30 = {
   NULL,
   97,15,
   72,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText84,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText85 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "Settings",
   NULL
};

struct MenuItem SubItem29 = {
   &SubItem30,
   97,7,
   72,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText85,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText86 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "All ",
   NULL
};

struct MenuItem SubItem28 = {
   &SubItem29,
   97,-1,
   72,8,
   ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText86,
   NULL,
   'S',
   NULL,
   MENUNULL
};

struct IntuiText IText87 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   " Save",
   NULL
};

struct MenuItem MenuItem11 = {
   &MenuItem12,
   0,16,
   112,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText87,
   NULL,
   NULL,
   &SubItem28,
   MENUNULL
};

struct IntuiText IText88 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "Picture",
   NULL
};

struct MenuItem SubItem33 = {
   NULL,
   97,15,
   72,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText88,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText89 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "Settings",
   NULL
};

struct MenuItem SubItem32 = {
   &SubItem33,
   97,7,
   72,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText89,
   NULL,
   NULL,
   NULL,
   MENUNULL
};

struct IntuiText IText90 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "All ",
   NULL
};

struct MenuItem SubItem31 = {
   &SubItem32,
   97,-1,
   72,8,
   ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText90,
   NULL,
   'O',
   NULL,
   MENUNULL
};

struct IntuiText IText91 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   " Open",
   NULL
};

struct MenuItem MenuItem10 = {
   &MenuItem11,
   0,8,
   112,8,
   ITEMTEXT+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText91,
   NULL,
   NULL,
   &SubItem31,
   MENUNULL
};

struct IntuiText IText92 = {
   3,1,COMPLEMENT,
   0,0,
   &TOPAZ80,
   "  New ",
   NULL
};

struct MenuItem MenuItem9 = {
   &MenuItem10,
   0,0,
   112,8,
   ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
   0,
   (APTR)&IText92,
   NULL,
   'N',
   NULL,
   MENUNULL
};

struct Menu Menu1 = {
   &Menu2,
   0,0,
   64,0,
   MENUENABLED,
   "PROJECT",
   &MenuItem9
};

#define MenuList1 Menu1

struct IntuiText IText93 = {
   3,0,JAM2,
   8,83,
   NULL,
   "ROTATION",
   NULL
};

#define IntuiTextList1 IText93

struct NewWindow NewWindowStructure1 = {
   0,0,
   640,200,
   0,1,
   MOUSEBUTTONS+GADGETDOWN+GADGETUP+MENUPICK+REQCLEAR+INACTIVEWINDOW,
   BACKDROP+ACTIVATE,
   &ErrMessageGadg,
   NULL,
   "3D Settings",
   NULL,
   NULL,
   5,5,
   640,200,
   CUSTOMSCREEN
};
